Skip to contentSkip to navigationSkip to topbar

Create an Intelligence Configuration


(information)

Legal information

Conversation Intelligence, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see AI Nutrition Facts for Conversation Intelligence.

Conversation Intelligence is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

POST/v3/ControlPlane/Configurations

Base url: https://intelligence.twilio.com (Twilio Intelligence API)

Create an Intelligence Configuration to control how and when language operators analyze conversations.

You must include the rules field in the request. You can pass an empty array ("rules": []), but an Intelligence Configuration with an empty rules array doesn't execute any language operators. To add rules later, make a PUT /v3/ControlPlane/Configurations/{id} request.

After creating an Intelligence Configuration, you must attach it to a Conversations Configuration by using the Conversations API.


Request

create-configuration-request page anchor

Authentication

authentication page anchor
Encoding type:application/json
SchemaExample
Property nameTypeRequiredPIIDescriptionChild properties
displayNamestring
required
Not PII

The display name of the Intelligence Configuration describing its purpose.

Min length: 1Max length: 128

descriptionstring

Optional

The description of the Intelligence Configuration further explaining its purpose.


rulesarray[object]
required

List of Intelligence Configuration Rules that govern when and how Language Operators run. Each Rule represents a bundle of Operators, Triggers, Context, and Actions to be executed by the Intelligence Configuration on a Conversation. A maximum of five (5) Rules are allowed per Intelligence Configuration.

To create an Intelligence Configuration without any Rules configured yet, pass an empty array ("rules": []). The Configuration will not execute any Language Operators until at least one Rule has been added.

Max items: 5

201400429500

Intelligence Configuration resource created.

SchemaExample
Property nameTypeRequiredPIIDescriptionChild properties
accountIdstring

Optional

The ID of the Account that created the Intelligence Configuration.

Example: ACaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

idstring

Optional

The unique identifier for the Intelligence Configuration. Assigned by Twilio (TTID).


displayNamestring

Optional

The display name of the Intelligence Configuration describing its purpose.

Min length: 1Max length: 128

descriptionstring

Optional

The description of the Intelligence Configuration further explaining its purpose.


versioninteger

Optional

The numeric version of the Intelligence Configuration. Automatically incremented with each update on the resource, used to ensure integrity when updating the Configuration.


rulesarray[object]

Optional

List of Intelligence Configuration Rules that govern when and how Language Operators run. Each Rule represents a bundle of Operators, Triggers, Context, and Actions to be executed by the Intelligence Configuration on a Conversation. A maximum of five (5) Rules are allowed per Intelligence Configuration.

Max items: 5

dateCreatedstring<date-time>

Optional

Timestamp of when the Intelligence Configuration was created.


dateUpdatedstring<date-time>

Optional

Timestamp of when the Intelligence Configuration was last updated.

Create an Intelligence ConfigurationLink to code sample: Create an Intelligence Configuration
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function createConfiguration() {
11
const configuration = await client.intelligence.v3.configurations.create({
12
displayName: "real-time-intelligence-config",
13
description:
14
"Intelligence configuration to trigger real-time script adherence operator",
15
rules: [
16
{
17
operators: [
18
{
19
id: "intelligence_operator_01kcgy1ew0e9x8re6jq542zt8b",
20
version: 4,
21
parameters: {
22
scale: 2,
23
},
24
},
25
],
26
triggers: [
27
{
28
on: "COMMUNICATION",
29
parameters: {
30
count: 3,
31
},
32
},
33
],
34
actions: [
35
{
36
type: "WEBHOOK",
37
method: "POST",
38
url: "https://my-webhook-endpoint.com/rule-action",
39
},
40
],
41
context: {
42
memory: {
43
enabled: true,
44
},
45
knowledge: {
46
bases: ["knowledge_base_id"],
47
},
48
},
49
},
50
],
51
});
52
53
console.log(configuration.accountId);
54
}
55
56
createConfiguration();

Response

Note about this response
1
{
2
"accountId": "AC00000000000000000000000000000000",
3
"id": "intelligence_configuration_01kermhm82e5mr98nbeh1hpmbn",
4
"displayName": "real-time-intelligence-config",
5
"description": "Intelligence configuration to trigger real-time script adherence operator",
6
"version": 1,
7
"rules": [
8
{
9
"operators": [
10
{
11
"id": "intelligence_operator_01kcgy1ew0e9x8re6jq542zt8b",
12
"version": 4,
13
"parameters": {
14
"scale": 2
15
}
16
}
17
],
18
"triggers": [
19
{
20
"on": "COMMUNICATION",
21
"parameters": {
22
"count": 3
23
}
24
}
25
],
26
"actions": [
27
{
28
"type": "WEBHOOK",
29
"method": "POST",
30
"url": "https://my-webhook-endpoint.com/rule-action"
31
}
32
],
33
"context": {
34
"memory": {
35
"enabled": true
36
},
37
"knowledge": {
38
"bases": [
39
"knowledge_base_id"
40
]
41
}
42
}
43
}
44
],
45
"dateCreated": "2026-01-12T08:18:17Z",
46
"dateUpdated": "2026-01-12T08:18:17Z"
47
}